org.hibernate.search.elasticsearch.impl

## Interface ElasticsearchService

- All Superinterfaces:
    Service
  All Known Implementing Classes:
    DefaultElasticsearchService

      public interface ElasticsearchService
      extends Service

  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerStrategyFactory` | `getAnalyzerStrategyFactory()`
    `GsonProvider` | `getGsonProvider()`
    `MissingValueStrategy` | `getMissingValueStrategy()`
    `ElasticsearchQueryFactory` | `getQueryFactory()`
    `ElasticsearchQueryOptions` | `getQueryOptions()`
    `ElasticsearchSchemaCreator` | `getSchemaCreator()`
    `ElasticsearchSchemaDropper` | `getSchemaDropper()`
    `ElasticsearchSchemaMigrator` | `getSchemaMigrator()`
    `ElasticsearchSchemaTranslator` | `getSchemaTranslator()`
    `ElasticsearchSchemaValidator` | `getSchemaValidator()`
    `ElasticsearchWorkFactory` | `getWorkFactory()`
    `ElasticsearchWorkProcessor` | `getWorkProcessor()`

- - ### Method Detail

    - #### getGsonProvider

          GsonProvider getGsonProvider()

    - #### getWorkFactory

          ElasticsearchWorkFactory getWorkFactory()

    - #### getWorkProcessor

          ElasticsearchWorkProcessor getWorkProcessor()

    - #### getSchemaCreator

          ElasticsearchSchemaCreator getSchemaCreator()

    - #### getSchemaDropper

          ElasticsearchSchemaDropper getSchemaDropper()

    - #### getSchemaMigrator

          ElasticsearchSchemaMigrator getSchemaMigrator()

    - #### getSchemaValidator

          ElasticsearchSchemaValidator getSchemaValidator()

    - #### getSchemaTranslator

          ElasticsearchSchemaTranslator getSchemaTranslator()

    - #### getAnalyzerStrategyFactory

          ElasticsearchAnalyzerStrategyFactory getAnalyzerStrategyFactory()

    - #### getMissingValueStrategy

          MissingValueStrategy getMissingValueStrategy()

    - #### getQueryFactory

          ElasticsearchQueryFactory getQueryFactory()

    - #### getQueryOptions

          ElasticsearchQueryOptions getQueryOptions()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved